ARCH        = OS
SHOBJ       = YES

include ../../include/makeinclude/Makefile.$(ARCH)

APPNAME     = "Sync/Async Test Client"
CXXINCLUDES = -I./

ifeq ($(SHOBJ), YES)
   LIBS    = -L$(CDEVLIB) -lcdevGenericServer $(CDEVLIBS) $(OSLIBS)
   TARGETS = $(BASEBIN)/SyncSet $(BASEBIN)/AsyncSet
else
   LIBS    = -L$(CDEVLIB) -lcdevGenericServer $(CDEVLIBS) $(OSLIBS)
   TARGETS = $(BASEBIN)/SyncSet $(BASEBIN)/AsyncSet
endif


targets : $(TARGETS)

$(BASEBIN)/AsyncSet : $(OBJDIR)/AsyncSet.o 
	$(LINK.cc) $^ -o $@ $(LIBS) 

$(BASEBIN)/SyncSet : $(OBJDIR)/SyncSet.o 
	$(LINK.cc) $^ -o $@ $(LIBS) 

